{pkgs, ...}: {
  imports = [
    ./waybar
    ./foot.nix
  ];

  xdg.configFile."sway" = {
    source = ./sway;
    executable = true;
    recursive = true;
  };

  xdg.configFile."sway/background.jpg".source = ../background.jpg;

  home.packages = with pkgs; [
    wl-clipboard
    dunst
    grim
    slurp
    sway-contrib.grimshot
    sway-audio-idle-inhibit
  ];

  home.sessionVariables = {
    # SDL_VIDEODRIVER = "wayland";
    # QT_QPA_PLATFORM = "wayland";
    QT_WAYLAND_DISABLE_WINDOWDECORATIONS = "1";
    # _JAVA_AWT_WM_NONREPARENTING = "1";
    MOZ_ENABLE_WAYLAND = "1";
  };

  programs.rofi.package = pkgs.rofi-wayland;
}
